none
安装vs2008 sp1 时出现错误,安装失败! RRS feed

  • 问题

  • 我的系统是vista sp1的版本,vs2008 是专业版。
    错误的信息好像是 dotnet framework 2.0 的问题,但是我在控制面板上没有 net 2.0 的卸载。
    所以重新安装也没有办法了。用net 的卸载程序日志如下:


    ======================================================================
    [03/26/09,20:53:25] Beginning of new cleanup utility session
    [03/26/09,20:53:25] Build created on December 22, 2008
    [03/26/09,20:53:25] Detected operating system: Windows Vista (x86)
    [03/26/09,20:53:25] Install state for .NET Framework 1.0: not installed.
    [03/26/09,20:53:25] Install state for .NET Framework 1.1: not installed.
    [03/26/09,20:53:25] Install state for .NET Framework 2.0: installed with service pack 1.
    [03/26/09,20:53:25] Install state for .NET Framework 3.0: installed with service pack 2.
    [03/26/09,20:53:25] Install state for .NET Framework 3.5: installed with no service packs.
    [03/26/09,20:53:25] Not adding product '.NET Framework - All Versions' because the OS condition does not match
    [03/26/09,20:53:25] Not adding product '.NET Framework - All Versions (Tablet PC and Media Center)' because the OS condition does not match
    [03/26/09,20:53:25] Not adding product '.NET Framework - All Versions (Windows Server 2003)' because the OS condition does not match
    [03/26/09,20:53:25] Not adding product '.NET Framework 2.0' because the OS condition does not match
    [03/26/09,20:53:25] Not adding product '.NET Framework 3.0' because the OS condition does not match
    [03/26/09,20:54:13] Calling ShellExecute to display file C:\Users\admin\AppData\Local\Temp\IXP000.TMP\readme.txt


    spring1999
    2009年3月26日 13:03

答案

全部回复

  • 你好!
         Vista是自带.NET Framework2.0的,我看了你给出的日志,应该是系统的问题,你把系统重新安装试试! 

    周雪峰
    2009年3月26日 13:25
    版主
  • 能不能换个方法呀 ,我系统刚刚装好两个星期.

    spring1999
    2009年3月26日 14:28
  • .NET Framework 2.0 已经是 Vista 的一部分~无法卸载的~你可以把vs安装失败的日志发上来~可能会有人知道怎么解决~
    宠辱不惊,看庭前花开花落。去留无意,望天上云卷云舒。
    2009年3月26日 16:00
    版主
  • 下载安装.Net 3.5 SP1先
    MSMVP VC++
    2009年3月26日 19:31
    版主
  • 我已经下载了vs2008 sp1的离线版安装程序,安装出错!
    我把升级程序解压后,直接安装 net 3.5 sp1 (200多兆),还是不行,依然出错!下面是日志。
    其实我以前安装过好多次,但都是在win xp 上安装的,都没有出现这种问俄题,而这次是在 windows vista u版,
    怎么安装都不行,
    用工具删除所有net framework ,重新安装net 3.5 或修复过net 3.5 ,都不行。现在我都怀疑 是 vista 与 sp1 不兼容的问题。

    [03/25/09,23:10:01] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
    [03/25/09,23:10:15] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
    [03/25/09,23:24:57] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
    [03/25/09,23:25:11] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
    [03/26/09,21:37:22] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
    [03/26/09,21:37:35] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
    [03/26/09,21:55:14] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
    [03/26/09,21:55:36] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
    [03/28/09,11:19:20] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
    [03/28/09,11:19:34] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.

    spring1999
    2009年3月28日 3:31
  • VS2008 SP1 可以安装在 Vista 上~看看上面的回帖~把 IIS 开启以后安装试试~
    宠辱不惊,看庭前花开花落。去留无意,望天上云卷云舒。
    2009年3月28日 11:06
    版主
  • 谢谢大家,已经解决了!
    是系统的问题,安装net framework 3.5 sp1 的时候要把系统的自动更新打开,至少不能够禁用。
    在安装的说明里已经作了说明,是我的疏心,没有注意。
    希望以后有人遇到这样的问题,借鉴一下!
    spring1999
    • 已标记为答案 spring1999 2009年3月30日 13:39
    2009年3月30日 13:39